Kerbal Space Program - Bug #20464

Kerbals not getting experience for kerbolar orbit, only get fly by.

11/27/2018 04:26 PM - boolybooly

Status: New Start date: 11/27/2018
Severity: Low % Done: 0%
Assignee:
Category: Gameplay
Target version:
Version: 1.9.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

A bug has crept in where Kerbals who go on excursions into space around Kerbin, with an orbit which does not intersect with Kerbins
SOl often do not get the full 6 points for kerbolar orbit and only get 4 points for kerbolar flyby.

| have checked this in the current version but it has been happening a while. It sometimes works but more often does not. | have not
yet been able to pin down why but | think the logic for the achievement needs checking and correlating with the parameters for exit of
Kerbin SOI and entering Kerbol orbit as they dont seem to match the graphical display of these achievements via the orbit calculator.

History

#1 - 03/21/2020 03:36 PM - boolybooly
- File 20200321151444_1.jpg added
- File 20200321151512_1.jpg added
- Version changed from 1.5.1 to 1.9.1

- Expansion Breaking Ground added

This bug is still evident. | have two screenshots proving the case for a tourist who is not recognising she is in Kerbolar orbit so the mission cannot
complete.

Jullock Kerman is on the ship named Tourist Lander 4 which is registering in the tracking station as "orbiting the sun". But Jullock's mission profile
shows no green tick for orbit around the sun, even though the condition is unquestionably met and has been for a full day KSP time and | have
switched focus to the ship and back to tracking several times to refresh the conditions check.

Yet on the same ship, Alfrid Kerman is showing a green tick for "fly by the sun" and has not previously done so.

Alfrid is recognising the fly by condition is met but Jullock is not recognising sun orbit, even though the tracking station does recognise this.

QED there is a problem with the recognition of this condition.

#2 - 03/21/2020 04:02 PM - boolybooly
- File quicksave (2020_03_21_15_47_40).sfs added

Here is a quicksave of the game as above, when tourist Jullock does not recognise orbiting the sun but the tracking station does.

#3 - 03/29/2020 12:55 PM - boolybooly

FYI | tried using the set orbit cheat to take the bugged tourist into low orbits of Kerbol just to be sure and flipped to tracking and back and it still
wouldn't trigger, definitely a bug.

| was able to trigger it by taking the ship back inside Kerbin SOI orbit and then return it to Kerbol orbit, so something about the transition triggered the
condition check which was missed before and was not being done while the ship remained in Kerbol orbit.

So that at some point missed the original check for the tourist and failed to recheck conditions of the Sun Orbit mission on reload of craft.
